# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bombard/version'

Gem::Specification.new do |spec|
  spec.name          = 'bombard'
  spec.version       = Bombard::VERSION
  spec.authors       = ['Todd Edwards']
  spec.email         = ['tedwards@mcclatchyinteractive.com']
  spec.description   = 'Bombard is a(nother) Siege wrapper for Ruby thats extensible.'
  spec.summary       = spec.description

  spec.homepage      = 'http://github.com/triangletodd/bombard'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'flay'
  spec.add_development_dependency 'flog'

  spec.add_runtime_dependency 'thor'
  spec.add_runtime_dependency 'require_all'
end
